SourceForge has been redesigned. Learn more.
Close

#617 Update to EPIC 0.6.39 failed

v0.6.x
closed-out-of-date
nobody
None
5
2016-05-15
2011-01-21
Oliver Koch
No

The automatic update to EPIC 0.6.38 with Eclipse 3.5 and JRE 1.6.0_18 failed.

Error Message:
An error occurred during the org.eclipse.equinox.internal.provisional.p2.engine.phases.CheckTrust phase.
session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.CheckTrust, operand=, action=).
Error reading signed content.
The file "C:\Program Files\Eclipse3.5\plugins\org.epic.debug_0.6.29.jar" does not exist

Error Log:
See attached epic.log.

Java Stack Trace:
java.io.IOException: The file "C:\Program Files\Eclipse3.5\plugins\org.epic.debug_0.6.29.jar" does not exist
at org.eclipse.osgi.baseadaptor.bundlefile.ZipBundleFile.<init>(ZipBundleFile.java:62)
at org.eclipse.osgi.baseadaptor.bundlefile.ZipBundleFile.<init>(ZipBundleFile.java:56)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:243)
at org.eclipse.equinox.internal.provisional.p2.engine.CertificateChecker.checkCertificates(CertificateChecker.java:59)
at org.eclipse.equinox.internal.provisional.p2.engine.CertificateChecker.start(CertificateChecker.java:41)
at org.eclipse.equinox.internal.provisional.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:43)
at org.eclipse.equinox.internal.provisional.p2.engine.Phase.postPerform(Phase.java:195)
at org.eclipse.equinox.internal.provisional.p2.engine.Phase.perform(Phase.java:78)
at org.eclipse.equinox.internal.provisional.p2.engine.PhaseSet.perform(PhaseSet.java:44)
at org.eclipse.equinox.internal.provisional.p2.engine.Engine.perform(Engine.java:54)
at org.eclipse.equinox.internal.provisional.p2.ui.operations.ProvisioningUtil.performProvisioningPlan(ProvisioningUtil.java:389)
at org.eclipse.equinox.internal.provisional.p2.ui.operations.ProfileModificationOperation.doExecute(ProfileModificationOperation.java:61)
at org.eclipse.equinox.internal.provisional.p2.ui.operations.ProvisioningOperation.execute(ProvisioningOperation.java:37)
at org.eclipse.equinox.internal.provisional.p2.ui.ProvisioningOperationRunner$1.run(ProvisioningOperationRunner.java:94)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Discussion

  • Oliver Koch

    Oliver Koch - 2011-01-21

    Error Log

     
  • Oliver Koch

    Oliver Koch - 2011-01-21

    The update to EPIC 0.6.39 (not 0.6.38) failed.
    Sorry, this was a typo.

     
  • Oliver Koch

    Oliver Koch - 2011-01-21
    • summary: Update to EPIC 0.6.38 failed --> Update to EPIC 0.6.39 failed
     
  • Oliver Trosien

    Oliver Trosien - 2016-05-15
    • status: open --> closed-out-of-date
     

Log in to post a comment.